Package com.sun.jna.platform.unix.aix

## Class Perfstat.perfstat_protocol_t.AnonymousStructNFSv4server

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructNFSv4server

Enclosing class:
  Perfstat.perfstat_protocol_t

    @FieldOrder({"nullreq","compound","operations","access","close","commit","create","delegpurge","delegreturn","getattr","getfh","link","lock","lockt","locku","lookup","lookupp","nverify","open","openattr","open_confirm","open_downgrade","putfh","putpubfh","putrootfh","read","readdir","readlink","remove","rename","renew","restorefh","savefh","secinfo","setattr","set_clientid","clientid_confirm","verify","write","release_lock"})
    public static class Perfstat.perfstat_protocol_t.AnonymousStructNFSv4server
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `access`
`long` `clientid_confirm`
`long` `close`
`long` `commit`
`long` `compound`
`long` `create`
`long` `delegpurge`
`long` `delegreturn`
`long` `getattr`
`long` `getfh`
`long` `link`
`long` `lock`
`long` `lockt`
`long` `locku`
`long` `lookup`
`long` `lookupp`
`long` `nullreq`
`long` `nverify`
`long` `open`
`long` `open_confirm`
`long` `open_downgrade`
`long` `openattr`
`long` `operations`
`long` `putfh`
`long` `putpubfh`
`long` `putrootfh`
`long` `read`
`long` `readdir`
`long` `readlink`
`long` `release_lock`
`long` `remove`
`long` `rename`
`long` `renew`
`long` `restorefh`
`long` `savefh`
`long` `secinfo`
`long` `set_clientid`
`long` `setattr`
`long` `verify`
`long` `write`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`AnonymousStructNFSv4server()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### nullreq

    public long nullreq

#### compound

    public long compound

#### operations

    public long operations

#### access

    public long access

#### close

    public long close

#### commit

    public long commit

#### create

    public long create

#### delegpurge

    public long delegpurge

#### delegreturn

    public long delegreturn

#### getattr

    public long getattr

#### getfh

    public long getfh

#### link

    public long link

#### lock

    public long lock

#### lockt

    public long lockt

#### locku

    public long locku

#### lookup

    public long lookup

#### lookupp

    public long lookupp

#### nverify

    public long nverify

#### open

    public long open

#### openattr

    public long openattr

#### open_confirm

    public long open_confirm

#### open_downgrade

    public long open_downgrade

#### putfh

    public long putfh

#### putpubfh

    public long putpubfh

#### putrootfh

    public long putrootfh

#### read

    public long read

#### readdir

    public long readdir

#### readlink

    public long readlink

#### remove

    public long remove

#### rename

    public long rename

#### renew

    public long renew

#### restorefh

    public long restorefh

#### savefh

    public long savefh

#### secinfo

    public long secinfo

#### setattr

    public long setattr

#### set_clientid

    public long set_clientid

#### clientid_confirm

    public long clientid_confirm

#### verify

    public long verify

#### write

    public long write

#### release_lock

    public long release_lock

### Constructor Detail

#### AnonymousStructNFSv4server

    public AnonymousStructNFSv4server()